.TH "mca_coll_base_comm_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_coll_base_comm_t \- Structure for the sm coll module to hang off the communicator.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <coll_sm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBompi_request_t\fP ** \fBmccb_reqs\fP"
.br
.ti -1c
.RI "int \fBmccb_num_reqs\fP"
.br
.ti -1c
.RI "void * \fBmcb_data_mpool_malloc_addr\fP"
.br
.RI "\fIIf this process is the one that invoked mpool_alloc() for the data segment, the return value will be in here. \fP"
.ti -1c
.RI "unsigned char * \fBmcb_mpool_base\fP"
.br
.RI "\fIBase of the data mpool. \fP"
.ti -1c
.RI "size_t \fBmcb_mpool_offset\fP"
.br
.RI "\fIOffset into the data mpool where this comm's operations area is. \fP"
.ti -1c
.RI "unsigned char * \fBmcb_mpool_area\fP"
.br
.RI "\fIPointer in the data mpool to the beginning of this comm's operations area (i.e., mcb_mpool_base + mcb_mpool_offset). \fP"
.ti -1c
.RI "uint32_t * \fBmcb_barrier_control_me\fP"
.br
.RI "\fIPointer to my barrier control pages (odd index pages are 'in', even index pages are 'out'). \fP"
.ti -1c
.RI "uint32_t * \fBmcb_barrier_control_parent\fP"
.br
.RI "\fIPointer to my parent's barrier control pages (will be NULL for communicator rank 0; odd index pages are 'in', even index pages are 'out'). \fP"
.ti -1c
.RI "uint32_t * \fBmcb_barrier_control_children\fP"
.br
.RI "\fIPointers to my childrens' barrier control pages (they're contiguous in memory, so we only point to the base -- the number of children is in my entry in the mcb_tree); will be NULL if this process has no children (odd index pages are 'in', even index pages are 'out'). \fP"
.ti -1c
.RI "int \fBmcb_barrier_count\fP"
.br
.RI "\fINumber of barriers that we have executed (i.e., which set of barrier buffers to use). \fP"
.ti -1c
.RI "\fBmca_coll_sm_in_use_flag_t\fP * \fBmcb_in_use_flags\fP"
.br
.RI "\fI'In use' flags indicating which segments are available \fP"
.ti -1c
.RI "\fBmca_coll_base_mpool_index_t\fP * \fBmcb_mpool_index\fP"
.br
.RI "\fIArray of indexes into the mpool area for control and data fragment passing (containing pointers to each segments control and data areas). \fP"
.ti -1c
.RI "\fBmca_coll_sm_tree_node_t\fP * \fBmcb_tree\fP"
.br
.RI "\fIArray of graph nodes representing the tree used for communications. \fP"
.ti -1c
.RI "uint32_t \fBmcb_operation_count\fP"
.br
.RI "\fIOperation number (i.e., which segment number to use). \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure for the sm coll module to hang off the communicator. 

Contains communicator-specific information, including pointers into the data mpool for this comm's sm collective operations area. 
.PP
.SH "Field Documentation"
.PP 
.SS "void* \fBmca_coll_base_comm_t::mcb_data_mpool_malloc_addr\fP"
.PP
If this process is the one that invoked mpool_alloc() for the data segment, the return value will be in here. 
.PP
Otherwise, it will be NULL (i.e., only the allocating process will call free). 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
